package com.mvc.model.iotcard;

import com.mvc.utils.SecurityUtil;

/**
 * 查询单卡信息参数
 */
public class QuerySingleParamModel {
    private String msisdn;
    private String agencyCode;
    private String key;
    private String sign;

    public QuerySingleParamModel(String ccid, String agencyCode, String key) {
        this.msisdn = ccid;
        this.agencyCode = agencyCode;
        this.key = key;
        StringBuilder sb=new StringBuilder();
        sb.append("msisdn=");
        sb.append(ccid);
        sb.append("&agencyCode=");
        sb.append(agencyCode);
        sb.append("&key=");
        sb.append(key);
        this.sign= SecurityUtil.toMD5(sb.toString()).toUpperCase();
    }

    public String getMsisdn() {
        return msisdn;
    }

    public void setMsisdn(String msisdn) {
        this.msisdn = msisdn;
    }

    public String getAgencyCode() {
        return agencyCode;
    }

    public void setAgencyCode(String agencyCode) {
        this.agencyCode = agencyCode;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }
}
